Home
Ratchet Library :: Installation
API  ·  Manual

Build Information

The ratchet library follows the standard autotools procedure for building.

Lua 5.2+ is required to build, as this is a Lua library. Other than that, see the README for additional dependencies and information about various configure flags.

All other configure options are standard from GNU autotools.

Building from a Source Tarball

This method is the encouraged and standard method of building the library, from a versioned source tarball.

$ ./configure
$ make
$ sudo make install

Building from Repository

This method of build is for bleeding-edge users who want to build directly from the latest code in the repository. It requires up-to-date versions of the various autotools. Average users are encouraged to build from a versioned source tarball.

$ autoreconf -i
$ ./configure
$ make
$ sudo make install



Last modified:  Sun, 17 Aug 2014 09:32:32 -0400
Author:  ian.good